Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.servlet
Class FileServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              weblogic.servlet.FileServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

Direct Known Subclasses:
  ServerSideIncludeServlet

public class FileServlet
extends HttpServlet

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected weblogic.servlet.internal.WebAppServletContext` | `context`
`static weblogic.diagnostics.debug.DebugLogger` | `DEBUG_URL_RES`
`static long` | `DEFAULT_MIN_NATIVE`
`protected String` | `defaultFilename`
`static String` | `SORTBY_LAST_MODIFIED`
`static String` | `SORTBY_NAME`
`static String` | `SORTBY_SIZE`

Constructor Summary
`FileServlet()`

Method Summary
`protected weblogic.servlet.internal.WarSource` | `findSource(HttpServletRequest req, HttpServletResponse res)`
`void` | `init(ServletConfig config)`
`void` | `service(HttpServletRequest req, HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected weblogic.servlet.internal.WebAppServletContext context

### DEBUG_URL_RES

    public static final weblogic.diagnostics.debug.DebugLogger DEBUG_URL_RES

### DEFAULT_MIN_NATIVE

    public static final long DEFAULT_MIN_NATIVE

See Also:
  Constant Field Values

### defaultFilename

    protected String defaultFilename

### SORTBY_LAST_MODIFIED

    public static final String SORTBY_LAST_MODIFIED

See Also:
  Constant Field Values

### SORTBY_NAME

    public static final String SORTBY_NAME

See Also:
  Constant Field Values

### SORTBY_SIZE

    public static final String SORTBY_SIZE

See Also:
  Constant Field Values

Constructor Detail

### FileServlet

    public FileServlet()

Method Detail

### findSource

    protected final weblogic.servlet.internal.WarSource findSource(HttpServletRequest req,
                                                                   HttpServletResponse res)
                                                            throws IOException

  Throws:
    `IOException`

### init

    public void init(ServletConfig config)
              throws ServletException

  Throws:
    `ServletException`

### service

    public void service(HttpServletRequest req,
                        HttpServletResponse res)
                 throws ServletException,
                        IOException

  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD